## r-bioc-rbgl 1.50.0+dfsg1

=== DESCRIPTION ===
Package: RBGL
Version: 1.50.0
Title: An interface to the BOOST graph library
Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
        <li.long@isb-sib.ch>, R. Gentleman
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Depends: graph, methods
Imports: methods
Suggests: Rgraphviz, XML, RUnit, BiocGenerics
Description: A fairly extensive and comprehensive interface to the
        graph algorithms contained in the BOOST library.
License: Artistic-2.0
URL: http://www.bioconductor.org
LazyLoad: yes
biocViews: GraphAndNetwork, Network
NeedsCompilation: yes
Packaged: 2016-10-17 22:10:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.50.0+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Exclude more files according to a hint of ftpmaster
  * d/watch: use xz compression

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2016 22:29:22 +0100

r-bioc-rbgl (1.50.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Switch to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 10:53:04 +0200

r-bioc-rbgl (1.48.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #834398)

 -- Christopher Hoskin <christopher.hoskin@gmail.com>  Thu, 04 Aug 2016 19:31:28 +0100

=== debian/control ===
Source: r-bioc-rbgl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-bioc-graph,
               libboost-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-rbgl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-rbgl.git
Homepage: https://bioconductor.org/packages/RBGL/

Package: r-bioc-rbgl
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R interface to the graph algorithms contained in the BOOST library
 RBGL is part of the BioConductor GNU R suite. It is a fairly extensive and
 comprehensive interface to the graph algorithms contained in the BOOST C++
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr 'A-Z' 'a-z')
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod -x $(debRlib)/$(cranNameOrig)/dot/*.dot
	chmod -x $(debRlib)/$(cranNameOrig)/XML/simpleExample.gxl

unittests:
	R -f tests/runTests.R

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+dfsg,\
repack,compression=xz,\
downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
http://www.bioconductor.org/packages/release/bioc/html/RBGL.html .*/RBGL_([\d\.]+)\.tar\.gz

## r-bioc-rbgl 1.54.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.50.0
+Version: 1.54.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -15,4 +15,4 @@
 LazyLoad: yes
 biocViews: GraphAndNetwork, Network
 NeedsCompilation: yes
-Packaged: 2016-10-17 22:10:01 UTC; biocbuild
+Packaged: 2017-10-30 22:39:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.54.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 08:45:48 +0100

r-bioc-rbgl (1.52.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * debhelper 10
  * Add debian/README.source to document binary data files
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 19:20:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-bioc-graph,
                libboost-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-rbgl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.dot" -exec chmod -x \{\} \;
	find debian -name simpleExample.gxl -exec chmod -x \{\} \;

unittests:
	R -f tests/runTests.R

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+dfsg,\
repack,compression=xz,\
downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
https://www.bioconductor.org/packages/release/bioc/html/RBGL.html .*/RBGL_([\d\.]+)\.tar\.gz

## r-bioc-rbgl 1.56.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.54.0
+Version: 1.56.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -15,4 +15,4 @@
 LazyLoad: yes
 biocViews: GraphAndNetwork, Network
 NeedsCompilation: yes
-Packaged: 2017-10-30 22:39:13 UTC; biocbuild
+Packaged: 2018-04-30 22:45:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.56.0+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 14:44:50 +0000

r-bioc-rbgl (1.56.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix Maintainer and Vcs-fields
  * Add comment that libboost-dev is really needed

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:51:39 +0200

r-bioc-rbgl (1.56.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 11:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-bioc-rbgl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-bioc-graph,
+# <dh-update-R>do not delete this</dh-update-R>
                libboost-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-rbgl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-rbgl.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/
 
 Package: r-bioc-rbgl

## r-bioc-rbgl 1.58.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.56.0
+Version: 1.58.1
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -14,5 +14,10 @@
 URL: http://www.bioconductor.org
 LazyLoad: yes
 biocViews: GraphAndNetwork, Network
+git_url: https://git.bioconductor.org/packages/RBGL
+git_branch: RELEASE_3_8
+git_last_commit: 3cc60ec
+git_last_commit_date: 2018-11-19
+Date/Publication: 2018-11-19
 NeedsCompilation: yes
-Packaged: 2018-04-30 22:45:47 UTC; biocbuild
+Packaged: 2018-11-19 23:48:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.58.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 24 Nov 2018 14:26:33 +0100

r-bioc-rbgl (1.58.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 07:42:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-bioc-graph,
 # <dh-update-R>do not delete this</dh-update-R>
                libboost-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/

## r-bioc-rbgl 1.60.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.58.1
+Version: 1.60.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -14,10 +14,11 @@
 URL: http://www.bioconductor.org
 LazyLoad: yes
 biocViews: GraphAndNetwork, Network
+LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_8
-git_last_commit: 3cc60ec
-git_last_commit_date: 2018-11-19
-Date/Publication: 2018-11-19
+git_branch: RELEASE_3_9
+git_last_commit: ef24c17
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-11-19 23:48:13 UTC; biocbuild
+Packaged: 2019-05-02 23:38:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.60.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 13:25:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-graph,
-# <dh-update-R>do not delete this</dh-update-R>
+               r-cran-bh,
                libboost-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/

## r-bioc-rbgl 1.62.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.60.0
+Version: 1.62.1
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_9
-git_last_commit: ef24c17
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 1615f29
+git_last_commit_date: 2019-10-30
+Date/Publication: 2019-10-30
 NeedsCompilation: yes
-Packaged: 2019-05-02 23:38:07 UTC; biocbuild
+Packaged: 2019-10-30 23:21:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.62.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:34 +0100

r-bioc-rbgl (1.62.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2019 22:47:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-graph,
                r-cran-bh,
                libboost-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,3 @@
 
 unittests:
 	R -f tests/runTests.R
-

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+dfsg,\
repack,compression=xz,\
downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://www.bioconductor.org/packages/release/bioc/html/RBGL.html .*/RBGL_([\d\.]+)\.tar\.gz

## r-bioc-rbgl 1.64.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.62.1
+Version: 1.64.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_10
-git_last_commit: 1615f29
-git_last_commit_date: 2019-10-30
-Date/Publication: 2019-10-30
+git_branch: RELEASE_3_11
+git_last_commit: 2f5aeaf
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-30 23:21:24 UTC; biocbuild
+Packaged: 2020-04-27 23:43:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.64.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:24:37 +0000

r-bioc-rbgl (1.64.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 10:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -9,10 +10,11 @@
                r-bioc-graph,
                r-cran-bh,
                libboost-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/
+Rules-Requires-Root: no
 
 Package: r-bioc-rbgl
 Architecture: any

## r-bioc-rbgl 1.66.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.64.0
+Version: 1.66.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_11
-git_last_commit: 2f5aeaf
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: bf0c111
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes
-Packaged: 2020-04-27 23:43:47 UTC; biocbuild
+Packaged: 2020-10-28 02:44:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.66.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Nov 2020 15:19:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-graph,

## r-bioc-rbgl 1.70.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.66.0
+Version: 1.70.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_12
-git_last_commit: bf0c111
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 9cfd5fd
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 02:44:43 UTC; biocbuild
+Packaged: 2021-10-26 22:30:52 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.70.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.70.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:17:59 +0530

r-bioc-rbgl (1.68.0+dfsg-2) UNRELEASED; urgency=medium

  * Disable reprotest
  * Remove outdated lintian-override

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 23:29:59 +0200

r-bioc-rbgl (1.68.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Contact.
  * Provide autopkgtest-pkg-r.conf to make sure RUnit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 14:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-graph,
                r-cran-bh,
                libboost-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/

## r-bioc-rbgl 1.72.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.70.0
+Version: 1.72.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_14
-git_last_commit: 9cfd5fd
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: a86f310
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:30:52 UTC; biocbuild
+Packaged: 2022-04-26 21:47:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.72.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:04:42 +0200

## r-bioc-rbgl 1.74.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.72.0
+Version: 1.74.0
 Title: An interface to the BOOST graph library
 Author: Vince Carey <stvjc@channing.harvard.edu>, Li Long
         <li.long@isb-sib.ch>, R. Gentleman
@@ -16,9 +16,9 @@
 biocViews: GraphAndNetwork, Network
 LinkingTo: BH
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_15
-git_last_commit: a86f310
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: e698db8
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 21:47:46 UTC; biocbuild
+Packaged: 2022-11-01 22:41:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-rbgl (1.74.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-rbgl
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
+Homepage: https://bioconductor.org/packages/RBGL/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-graph,
                r-cran-bh,
                libboost-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
-Homepage: https://bioconductor.org/packages/RBGL/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rbgl
 Architecture: any

## r-bioc-rbgl 1.76.0+dfsg

=== debian/changelog ===
r-bioc-rbgl (1.76.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Remove  libboost-dev from Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 15:17:43 +0200

## r-bioc-rbgl 1.78.0+dfsg

=== DESCRIPTION ===
Package: RBGL
Version: 1.78.0
Title: An interface to the BOOST graph library
Authors@R: c(
        person("Vince", "Carey", role = "aut",
                email = "stvjc@channing.harvard.edu"),
        person("Li", "Long",  role = "aut",
                email = "li.long@isb-sib.ch"),
        person("R.", "Gentleman", role = "aut"),
        person("Emmanuel", "Taiwo", role = "ctb", 
                comment = "Converted RBGL vignette from Sweave to RMarkdown / HTML."),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"))
Depends: graph, methods
Imports: methods
Suggests: Rgraphviz, XML, RUnit, BiocGenerics, BiocStyle, knitr
Description: A fairly extensive and comprehensive interface to the
        graph algorithms contained in the BOOST library.
License: Artistic-2.0
URL: http://www.bioconductor.org
LazyLoad: yes
biocViews: GraphAndNetwork, Network
LinkingTo: BH
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/RBGL
git_branch: RELEASE_3_18
git_last_commit: 2e7e330
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: yes
Packaged: 2023-10-24 22:38:56 UTC; biocbuild
Author: Vince Carey [aut],
  Li Long [aut],
  R. Gentleman [aut],
  Emmanuel Taiwo [ctb] (Converted RBGL vignette from Sweave to RMarkdown
    / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-rbgl (1.78.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 09:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
 Homepage: https://bioconductor.org/packages/RBGL/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-graph,
-               r-cran-bh,
-               libboost-dev
+               r-cran-bh
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rbgl

## r-bioc-rbgl 1.80.0+dfsg

=== debian/changelog ===
r-bioc-rbgl (1.80.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:34:54 +0200

r-bioc-rbgl (1.80.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 17:25:25 +0200

r-bioc-rbgl (1.80.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-graph,
-               r-cran-bh
+               r-bioc-graph (>= 1.82.0),
+               r-cran-bh,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rbgl
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-graph (>= 1.82.0),
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocgenerics (>= 0.50.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: R interface to the graph algorithms contained in the BOOST library
  RBGL is part of the BioConductor GNU R suite. It is a fairly extensive and
  comprehensive interface to the graph algorithms contained in the BOOST C++

## r-bioc-rbgl 1.82.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RBGL
-Version: 1.78.0
+Version: 1.82.0
 Title: An interface to the BOOST graph library
 Authors@R: c(
         person("Vince", "Carey", role = "aut",
@@ -23,12 +23,13 @@
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/RBGL
-git_branch: RELEASE_3_18
-git_last_commit: 2e7e330
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_20
+git_last_commit: 88aa55c
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2023-10-24 22:38:56 UTC; biocbuild
+Packaged: 2024-10-30 02:22:43 UTC; biocbuild
 Author: Vince Carey [aut],
   Li Long [aut],
   R. Gentleman [aut],

=== debian/changelog ===
r-bioc-rbgl (1.82.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:54:18 +0100

r-bioc-rbgl (1.82.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 16:21:17 +0100

=== debian/control ===
Source: r-bioc-rbgl
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rbgl.git
Homepage: https://bioconductor.org/packages/RBGL/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-graph,
               r-cran-bh,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-rbgl
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R interface to the graph algorithms contained in the BOOST library
 RBGL is part of the BioConductor GNU R suite. It is a fairly extensive and
 comprehensive interface to the graph algorithms contained in the BOOST C++
 libraries.
